Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.codehaus.groovy.grails.commons
[Java] Interface ComponentCapableDomainClass

    public interface ComponentCapableDomainClass

Interface for domains capable of supporting components.

Authors:
  Graeme Rocher

Since:
  2.0

Method Summary
`void` | `addComponent(GrailsDomainClass component)` Adds a component
`java.util.List` | `getComponents()` Gets all the components for this domain class

Method Detail

### addComponent

    public void addComponent(GrailsDomainClass component)

  Adds a component
  Parameters:
    `component` - The component

### getComponents

    public java.util.List getComponents()

  Gets all the components for this domain class
  Returns:
    The list of components

Groovy Documentation